package com.mvc.entity;

import java.io.Serializable;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-04-23 15:41:35
*/
public class WmAcc implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 水表id
     */
    private String wmId;

    /**
     * 归属遥测站代码
     */
    private String stationCode;

    /**
     * 水表索引 更换后+1
     */
    private Integer wmIndex;

    /**
     * 起用初始值标志
     */
    private String initVolFlag;

    /**
     * 初始读数
     */
    private Integer initVol;

    /**
     * 水表口径
     */
    private Integer dnType;

    /**
     * 单位类型
     */
    private String unitType;

    /**
     * 数字个数
     */
    private Integer digitNum;

    /**
     * 轮子个数
     */
    private Integer whellNum;

    /**
     * 创建日期
     */
    private Date createDate;

    /**
     * 失效日期
     */
    private Date expDate;

    /**
     * 在用标志
     */
    private String useFlag;

    /**
     * wm_acc
     */
    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWmId() {
        return wmId;
    }

    public void setWmId(String wmId) {
        this.wmId = wmId == null ? null : wmId.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public Integer getWmIndex() {
        return wmIndex;
    }

    public void setWmIndex(Integer wmIndex) {
        this.wmIndex = wmIndex;
    }

    public String getInitVolFlag() {
        return initVolFlag;
    }

    public void setInitVolFlag(String initVolFlag) {
        this.initVolFlag = initVolFlag == null ? null : initVolFlag.trim();
    }

    public Integer getInitVol() {
        return initVol;
    }

    public void setInitVol(Integer initVol) {
        this.initVol = initVol;
    }

    public Integer getDnType() {
        return dnType;
    }

    public void setDnType(Integer dnType) {
        this.dnType = dnType;
    }

    public String getUnitType() {
        return unitType;
    }

    public void setUnitType(String unitType) {
        this.unitType = unitType == null ? null : unitType.trim();
    }

    public Integer getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(Integer digitNum) {
        this.digitNum = digitNum;
    }

    public Integer getWhellNum() {
        return whellNum;
    }

    public void setWhellNum(Integer whellNum) {
        this.whellNum = whellNum;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getExpDate() {
        return expDate;
    }

    public void setExpDate(Date expDate) {
        this.expDate = expDate;
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-04-23 15:41:35
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", wmId=").append(wmId);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", wmIndex=").append(wmIndex);
        sb.append(", initVolFlag=").append(initVolFlag);
        sb.append(", initVol=").append(initVol);
        sb.append(", dnType=").append(dnType);
        sb.append(", unitType=").append(unitType);
        sb.append(", digitNum=").append(digitNum);
        sb.append(", whellNum=").append(whellNum);
        sb.append(", createDate=").append(createDate);
        sb.append(", expDate=").append(expDate);
        sb.append(", useFlag=").append(useFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}